unit TestPlugin1;

interface
uses
  Windows,
  DatulaPlugin;

type
  TTestPlugin = class(TDatulaPlugin)
  public
    constructor Create;
    destructor Destroy; override;
    procedure OnUpdateView; override;
  end;

implementation
uses
  DatulaApi;

procedure doSomething;
var
  info: TMainWindowInfo;
begin
  getMainWindow(info);
  MessageBox(info.frameWnd, 'Do something!', 'Test', MB_OK);
end;

{ TTestPlugin }

constructor TTestPlugin.Create;
begin
  inherited Create('Test', 'Koizuka', '1.0.0.1', $01000001 );

  // j[ǉ /
  DatulaApi.AppendMenu('Test', doSomething);
end;

destructor TTestPlugin.Destroy;
begin
  // j[폜 /
  DatulaApi.DeleteMenu(doSomething);
end;

procedure TTestPlugin.OnUpdateView;
var
  header: string;
begin
  // wb_̂ǂ AONO ΃x炷() /
  header := GetHeaderText;
  if Pos( 'AONO', header ) > 0 then
    MessageBeep( $ffffffff );
end;

// Yꂸɏ /
begin
  PluginMain := TTestPlugin.Create;
end.
